VERSION 5.00
Begin VB.Form frmMedida 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Medida"
   ClientHeight    =   4095
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4335
   BeginProperty Font 
      Name            =   "Times New Roman"
      Size            =   9.75
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4095
   ScaleWidth      =   4335
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdCancelar 
      Caption         =   "&Cancelar"
      Height          =   495
      Left            =   2400
      TabIndex        =   11
      Top             =   3480
      Width           =   1215
   End
   Begin VB.DriveListBox DrvLstBx 
      Height          =   345
      Left            =   2280
      TabIndex        =   10
      Top             =   3000
      Width           =   1935
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "&OK"
      Default         =   -1  'True
      Height          =   495
      Left            =   720
      TabIndex        =   8
      Top             =   3480
      Width           =   1215
   End
   Begin VB.DirListBox DirLstBx 
      Height          =   1620
      Left            =   2280
      TabIndex        =   7
      Top             =   960
      Width           =   1935
   End
   Begin VB.ComboBox cboTipoDeArchivo 
      Height          =   345
      Left            =   120
      Style           =   2  'Dropdown List
      TabIndex        =   4
      Top             =   3000
      Width           =   1935
   End
   Begin VB.FileListBox FLB 
      Height          =   1665
      Left            =   120
      TabIndex        =   2
      Top             =   960
      Width           =   1935
   End
   Begin VB.TextBox txtNombreDeArchivo 
      Height          =   330
      Left            =   120
      TabIndex        =   1
      Top             =   480
      Width           =   1935
   End
   Begin VB.Label lblUnidadDeDisco 
      Caption         =   "Unidad de disco:"
      Height          =   255
      Left            =   2280
      TabIndex        =   9
      Top             =   2760
      Width           =   1935
   End
   Begin VB.Label lblNombreDeDirectorio 
      BorderStyle     =   1  'Fixed Single
      Height          =   375
      Left            =   2280
      TabIndex        =   6
      Top             =   480
      Width           =   1935
   End
   Begin VB.Label lblDirectorios 
      Caption         =   "Directorio:"
      Height          =   255
      Left            =   2280
      TabIndex        =   5
      Top             =   120
      Width           =   855
   End
   Begin VB.Label lbLTipoDeArchivo 
      Caption         =   "Tipo de archivo:"
      Height          =   255
      Left            =   120
      TabIndex        =   3
      Top             =   2760
      Width           =   1335
   End
   Begin VB.Label lblNombreDeArchivo 
      Caption         =   "Nombre de archivo:"
      Height          =   255
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   1575
   End
End
Attribute VB_Name = "frmMedida"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cboTipoDeArchivo_Click()
    'Cambia el patrn del control de acuerdo al tipo de archivo seleccionado
    Select Case cboTipoDeArchivo.ListIndex
    Case 0
        FLB.Pattern = "*.*"
    Case 1
        FLB.Pattern = "*.txt"
    Case 2
        FLB.Pattern = "*.doc"
    End Select
End Sub

Private Sub cmdCancelar_Click()
    End
End Sub

Private Sub cmdOK_Click()
    Dim RutaNombre As String
    Dim MedidaDelArchivo As String
    Dim Ruta As String
    'Si no hay archivo seleccionado, le indica al usuario y sale del procedimiento
    If txtNombreDeArchivo.Text = "" Then
        MsgBox "Debe seleccionar un archivo"
        Exit Sub
    End If
    'Se asegura que la ruta termine en \
    If Right(FLB.Path, 1) <> "\" Then
        Ruta = FLB.Path & "\"
    Else
        Ruta = FLB.Path
    End If
    'Obtiene la ruta y el nombre del archivo seleccionado
    If txtNombreDeArchivo.Text = FLB.filename Then
        RutaNombre = Ruta & FLB.filename
    Else
        RutaNombre = txtNombreDeArchivo.Text
    End If
    'La siguiente instruccin puede generar un error, entonces lo capturamos
    On Error Resume Next
    'Obtiene el tamao del archivo
    MedidaDelArchivo = Str(FileLen(RutaNombre))
    If Err.Number = 0 Then
        'Despliega el tamao del archivo
        MsgBox "Tamao de " & RutaNombre & " :  " & MedidaDelArchivo & " bytes"
    Else
ErrorDeMedidaDelArchivo:
    'Hubo un error por lo tanto despliega un mensaje
    MsgBox "No se puede determinar la medida del archivo " & RutaNombre
    Err.Number = 0
    End If
        End Sub

Private Sub DirLstBx_Change()
    'Un directorio acba de ser seleccionado y se actualiza la ruta
    FLB.Path = DirLstBx.Path
    'Tambin actualiza la etiqueta
    lblNombreDeDirectorio.Caption = DirLstBx.Path
End Sub

Private Sub DrvLstBx_Change()
    'Como puede aparecer un error lo controlamos
    On Error Resume Next
    'Cambia la ruta del control hacia la nueva unidad
    DirLstBx.Path = DrvLstBx.Drive
    If Err.Number <> 0 Then
DriveError:
    'Sucedi un error y lo hacemos saber
    MsgBox "Error en la unidad", vbExclamation, "Error"
    Err.Number = 0
    DrvLstBx.Drive = DirLstBx.Path
    End If
End Sub

Private Sub FLB_Click()
    'Actualiza el cuadro de texto con el nombre del archivo que se selecciona
    txtNombreDeArchivo.Text = FLB.filename
End Sub

Private Sub FLB_DblClick()
    'Asigna al cuadro de texto el nombre del archivo en que se hizo doble click
    txtNombreDeArchivo.Text = FLB.filename
    'Ejecuta el procedimiento cmdOK_click
    cmdOK.Value = True
End Sub

Private Sub Form_Load()
    'Llena el cuadro combinado
    cboTipoDeArchivo.AddItem "Todos los archivos (*.*)"
    cboTipoDeArchivo.AddItem "Archivos de texto (*.txt)"
    cboTipoDeArchivo.AddItem "Documentos (*.doc)"
    'Inicializa el cuadro combinado al elemento 0
    cboTipoDeArchivo.ListIndex = 0
    'Actualiza la etiqueta
    lblNombreDeDirectorio.Caption = DirLstBx.Path
End Sub
